Bug 876012 - The Content-Type of Download as po link is application/octet-stream, but should be text/plain
Summary: The Content-Type of Download as po link is application/octet-stream, but shou...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: WebSite   
(Show other bugs)
Version: 2.0
Hardware: Unspecified Unspecified
unspecified
low
Target Milestone: ---
: 2.1
Assignee: David Mason
QA Contact: Ding-Yi Chen
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-13 03:13 UTC by David Mason
Modified: 2013-02-26 04:06 UTC (History)
2 users (show)

Fixed In Version: 2.1-SNAPSHOT (20121206-1113)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-26 04:06:24 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Mason 2012-11-13 03:13:08 UTC
Description of problem:
When clicking 'po' download link, content type of the transmitted file is application/octet-stream, but text/plain would be more appropriate for the po format.

Version-Release number of selected component (if applicable):
2.0

Comment 1 David Mason 2012-12-05 00:53:18 UTC
Changed po and pot download links to use text/plain in 2.1-SNAPSHOT. Raw formats still transfer using application/octet-stream.

See: https://github.com/zanata/zanata/commit/eb3a33cb24a4e0a31ae68c4cc7e767d5b150c208

Comment 2 Ding-Yi Chen 2012-12-07 06:05:05 UTC
VERIFIED with Zanata version 2.1-SNAPSHOT (20121206-1113)


Note You need to log in before you can comment on or make changes to this bug.